Devel::Cover::Report::Html_basic(3)

NAME
Devel::Cover::Report::Html_basic - HTML backend for Devel::Cover

VERSION
version 1.45

SYNOPSIS
 cover -report html_basic

DESCRIPTION
This module provides a HTML reporting mechanism for coverage data. It is designed to be called from the "cover" program. It will add syntax highlighting if "PPI::HTML" or "Perl::Tidy" is installed.

OPTIONS
The following command line options are supported:

 -outputfile  - name of output file              (default coverage.html)
 -restrict    - add restrict to regex form       (default on)
 -noppihtml   - disables PPI::HTML highlighting  (default off)
 -noperltidy  - disables Perl::Tidy highlighting (default off)

SEE ALSO
 Devel::Cover

BUGS
Huh?

LICENCE
Copyright 2001-2025, Paul Johnson (paul@pjcj.net)

This software is free. It is licensed under the same terms as Perl itself.

The latest version of this software should be available from my homepage: http://www.pjcj.net